import QtQuick 2.14
import QtQml 2.14
import QtQuick.Window 2.14
import QtQuick.Controls 1.4
import QtQuick.Controls 2.5
import QtQuick.Dialogs 1.2
import QtQuick.Layouts 1.3
import Modbus 1.0

ApplicationWindow {
    id: application_window
    visible: true
    width: 1280
    height: 800
    title: qsTr("Modbus TCP Example")

    Modbus{
        id: modbus
    }

    Button {
        x: 20
        y: 20
        width: 200
        text: "Read Modbus"

        onClicked: {
            modbus.onReadButtonClicked();
        }
    }

    Button {
        x: 240
        y: 20
        width: 240
        text: "Write Customer Name"

        onClicked: {
            modbus.onWriteButtonClicked(3);
        }
    }

    Rectangle {
        x: 0
        y: 60
        width: application_window.width
        height: 190
        Text {
            id: hmicustomernametlc
            text: modbus.hmi_customer_name_tlc
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            color: "black"
            font.pixelSize: 72
            font.capitalization: Font.AllUppercase
        }
    }

    Rectangle {
        anchors.right: lineleft.right;
        anchors.bottom: lineleft.top;
        anchors.bottomMargin: -30;
        width: kneadertemperature.width
        height: kneadertemperature.height
        Text {
            id: kneadertemperature
            text: modbus.kneader_temperature + '°'
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            color: "black"
            font.pixelSize: 280
        }
    }

    Rectangle {
        anchors.right: lineright.right;
        anchors.bottom: lineright.top;
        anchors.bottomMargin: -30;
        width: kneadingtime.width
        height: kneadingtime.height
        Text {
            id: kneadingtime
            text: modbus.kneading_time
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            color: "black"
            font.pixelSize: 280
        }
    }
    Rectangle {
        id: lineleft
        x: (application_window.width / 2 - 526) / 2
        y: 485
        width: 526
        height: 10
        color: "#224785"
    }
    Rectangle {
        anchors.left: lineleft.left;
        anchors.top: lineleft.bottom;
        anchors.topMargin: 30;
        width: lineleft.width
        height: 50
        Text {
            text: qsTr("TEMPERATURE")
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            color: "black"
            font.pixelSize: 72
        }
    }

    Rectangle {
        id: lineright
        x: application_window.width / 2 + ((application_window.width / 2 - 526) / 2)
        y: 485
        width: 526
        height: 10
        color: "#224785"

    }
    Rectangle {
        anchors.left: lineright.left;
        anchors.top: lineright.bottom;
        anchors.topMargin: 30;
        width: lineright.width
        height: 50
        Text {
            text: qsTr("TIME")
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            color: "black"
            font.pixelSize: 72
        }
    }
}
